=== client/ffmpeg/libpostproc/Makefile ===
include ../config.mak

NAME = postproc
FFLIBS = avutil

HEADERS = postprocess.h

OBJS = postprocess.o

include ../common.mak
