=== client/debian/changelog ===
electricsheep (2.7b11-0ubuntu1~ppa1) intrepid; urgency=low

  * fixes and features from upstream (now for intrepid)

 -- Spotworks LLC <ubuntu@spotworks.com>  Sat, 15 Nov 2008 02:20:24 -0500

electricsheep (2.7b11-0ubuntu1~ppa0) hardy; urgency=low

  * fixes and features from upstream

 -- Spotworks LLC <ubuntu@spotworks.com>  Fri, 14 Nov 2008 23:51:17 -0500

electricsheep (2.7b10-0ubuntu1~ppa0) hardy; urgency=low

  * important fix from upstream (starts reliably)

 -- Spotworks LLC <ubuntu@spotworks.com>  Sat, 13 Sep 2008 20:15:16 -0400

electricsheep (2.7b9-0ubuntu1~ppa0) hardy; urgency=low

  * features/fixes from upstream (authentication, help button, etc)

 -- Spotworks LLC <ubuntu@spotworks.com>  Thu, 28 Aug 2008 02:07:42 -0400

electricsheep (2.7b8-0ubuntu1~ppa0) hardy; urgency=low

  * bug fixes from upstream (multimon, better variety)

 -- Spotworks LLC <ubuntu@spotworks.com>  Fri, 18 Jul 2008 19:26:36 -0400

electricsheep (2.7b6-0ubuntu1~ppa2) hardy; urgency=low

  * make electricsheep-saver executable.

 -- Spotworks LLC <ubuntu@spotworks.com>  Mon, 30 Jun 2008 00:47:43 -0400

electricsheep (2.7b6-0ubuntu1~ppa1) hardy; urgency=low

  * more uniform packaging process, small fixes.

 -- Spotworks LLC <ubuntu@spotworks.com>  Sun, 29 Jun 2008 19:25:04 -0400

electricsheep (2.7b6-0ubuntu1~ppa0) hardy; urgency=low

  * add version number and button to open web browser on
       homepage to the preferences dialog.

 -- Spotworks LLC <ubuntu@spotworks.com>  Sun, 29 Jun 2008 17:35:20 -0400

electricsheep (2.7b5-0ubuntu1~ppa26) hardy; urgency=low

  * Updated build stuff, both package and Makefile
	- now uses gconf defaults for building from source
	- checks gnome-screensaver paths for installation locations
	- glade prefs now correctly specified in Makefile
	- make uninstall now works in source
    - dropped priority of gconf defaults to 16

 -- Spotworks LLC <ubuntu@spotworks.com>  Thu, 26 Jun 2008 13:01:44 -0600

electricsheep (2.7b5-0ubuntu1~ppa25) hardy; urgency=low

  * Now using dh_gconf for gconf settings

 -- Spotworks LLC <ubuntu@spotworks.com>  Thu, 26 Jun 2008 05:33:17 -0600

electricsheep (2.7b5-0ubuntu1~ppa24) hardy; urgency=low

  * Fixed installation of glade prefs file for prefs dialog

 -- Spotworks LLC <ubuntu@spotworks.com>  Wed, 25 Jun 2008 21:47:10 -0600

electricsheep (2.7b5-0ubuntu1~ppa23) hardy; urgency=low

  * Fixed desktop file - needed to call script instead of exe.

 -- Spotworks LLC <ubuntu@spotworks.com>  Wed, 25 Jun 2008 20:21:19 -0600

electricsheep (2.7b5-0ubuntu1~ppa22) hardy; urgency=low

  * Flash forward through beta versions.  Changes:
    2.7b1:
    - new multi monitor patch from John Gibson (1640631 on sf.net by 
      John Gibson).
    - fix video_out_x11.c:146 assumes cache dir is .sheep.
    - get tryagain parms from server.
    - exit on generation change to prevent mixing incompatible mpeg
      formats.
    - on file read error, rescan cache directory.  allow unsetting
      password.
    - install panel in location where xscreensaver 5.0 can find it, 
    - support --password and authenticated server
    - split frame into time and job
    - move up to flam3 v2.7
    - upgrade to mpeg4 wrapped in avi by using ffmpeg and mplayer.
    - ditch mpeg2dec_onroot
    - unbundle flam3
    - install binary where gnome can find it.
    2.7b2:
    - use marker files to update cache sooner.
    - global generation no longer part of state
    - configure gnome-screensaver during install using gconftool-2.
    - start with least recently accessed sheep instead of a random one
    - add ffmpeg.patch to plug memory leak.
    - ditch the .sheep/id file.
    - move to .electricsheep/* and preferences.xml and 
      electricsheep-preferences (a glade UI to the xml prefs).
    - play electricshep-wait.avi until first sheep arrives.
    - settle on mplayer
    - remove zoom option since mplayer always does it. 
    - note: password is not secure.  remove history from ui.    
    2.7b3:
    - fix hang on sheep deletion
    2.7b5:
    - removed flam3, flame, mpeg2dec dependencies from src
    - include patched ffmpeg code as subdir

 -- Spotworks LLC <ubuntu@spotworks.com>  Tues, 24 Jun 2008 16:59:19 -0600

electricsheep (2.6.8-9ubuntu1) hardy; urgency=low

  * Merge from Debian unstable. (LP: #201417) Remaining Ubuntu changes:
    - Merge debian/rules to keep our kscreensaver changes.
    - Add multihead support.
    - Fix typo in debian/rules to really install gnome-screensaver
      .desktop file into the screensavers directory
    - Modify Maintainer value to match Debian-Maintainer-Field Spec.

 -- Stefan Ebner <hellboy195@gmail.com>  Wed, 12 Mar 2008 15:53:20 +0100

electricsheep (2.6.8-9) unstable; urgency=low

  [ Yves-Alexis Perez ]
  * link electricsheep to the correct location. (closes: #467441)

  [ Alexis Sukrieh ]
  * Standard Revision: 3.7.3
  * Changed Apps to Applications in debian/menu (fixed a lintian warning).

 -- Alexis Sukrieh <sukria@debian.org>  Tue, 11 Mar 2008 17:30:22 +0100

electricsheep (2.6.8-8ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Merge debian/rules to keep our kscreensaver changes.

 -- Stephan Hermann <sh@sourcecode.de>  Sat, 19 Jan 2008 14:02:06 +0100

electricsheep (2.6.8-8) unstable; urgency=low

  * Added a debconf-2.0 alternate to dependencies (closes: #448477)

 -- Alexis Sukrieh <sukria@debian.org>  Mon, 19 Nov 2007 16:34:53 +0100

electricsheep (2.6.8-7ubuntu1) hardy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Merge debian/rules to keep our kscreensaver changes.

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 01 Nov 2007 17:02:21 -0400

electricsheep (2.6.8-7) unstable; urgency=low

  * Summer cleanup of the package, install .desktop files in the appropriate
    places.
    (closes: #432782)
  * Autotools cleanup.

 -- Alexis Sukrieh <sukria@debian.org>  Fri, 13 Jul 2007 15:50:13 +0200

electricsheep (2.6.8-6ubuntu3) gutsy; urgency=low


