=== client/debian/control ===
Source: electricsheep
Section: graphics
Priority: optional
Maintainer: Spotworks LLC <ubuntu@spotworks.com>
Build-Depends: debhelper (>= 5), autotools-dev, libdbus-glib-1-dev, libgconf2-dev, libgnome-menu-dev, libglade2-dev, libgnomeui-dev, libexpat1-dev, gnome-screensaver
Standards-Version: 3.7.2

Package: electricsheep
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mplayer, curl, flam3 (>= 2.7.13), gnome-screensaver
Description: a distributed screensaver based on artificial life
 Electric Sheep is a free, open source screen saver created by Scott
 Draves.  It's run by tens of thousands of people all over the world,
 and can be installed on any ordinary computer. When these computers
 "sleep", the screen saver comes on and the computers communicate with
 each other by internet to share the work of creating morphing
 abstract animations known as "sheep".  Anyone watching one of these
 computers may vote for their favorite animations using the
 keyboard. (Note that voting is disabled on the linux client until we
 get a gnome-screensaver patch. You can still vote via the website or
 other platforms.)  The more popular sheep live longer and reproduce
 according to a genetic algorithm with mutation and cross-over. Hence
 the flock evolves to please its global audience. You can also design
 your own sheep and submit them to the gene pool.  The result is a
 collective "android dream", an homage to Philip K. Dick's novel 'Do
 Androids Dream of Electric Sheep?'. See http://electricsheep.org for
 more information.
