=== client/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# The GNOME screensaver path for screensavers .desktop files
GNOME_SS_PATH=/usr/share/applications/screensavers
# The path where xscreensaver looks for an .xml file
#XSS_CONF_PATH=/usr/share/xscreensaver/config

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

#CFLAGS = -Wall -g

#ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
#	CFLAGS += -O0
#else
#	CFLAGS += -O2
#endif

config.status: configure
	dh_testdir
	@echo "Configuring...\n"
	touch configure.in && \
		touch aclocal.m4 && \
		touch configure
	./configure $(confflags) \
	            --prefix=/usr \
				--datadir=\$${prefix}/share \
				--mandir=\$${prefix}/share/man \
				--infodir=\$${prefix}/share/info \
	            --host=$(DEB_HOST_GNU_TYPE) \
	            --build=$(DEB_BUILD_GNU_TYPE)

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	rm -f config.sub config.guess
	dh_clean

install: build 
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/electricsheep
	# The xscreensaver .xml config file
#	mkdir -p $(CURDIR)/debian/electricsheep$(XSS_CONF_PATH)
#	cp $(CURDIR)/electricsheep.xml \
#		$(CURDIR)/debian/electricsheep$(XSS_CONF_PATH)
	# The Application .desktop file
	mkdir -p $(CURDIR)/debian/electricsheep$(GNOME_SS_PATH)
	cp $(CURDIR)/electricsheep.desktop \
		$(CURDIR)/debian/electricsheep$(GNOME_SS_PATH)/electricsheep.desktop
	# The script for gnome-screensaver to run
	mkdir -p $(CURDIR)/debian/electricsheep/usr/lib/gnome-screensaver/gnome-screensaver
	cp $(CURDIR)/electricsheep-saver \
		$(CURDIR)/debian/electricsheep/usr/lib/gnome-screensaver/gnome-screensaver/electricsheep-saver
	# The glade prefs file for electricsheep-prefs
	mkdir -p $(CURDIR)/debian/electricsheep/usr/share/electricsheep
	cp $(CURDIR)/electricsheep-preferences.glade \
		$(CURDIR)/debian/electricsheep/usr/share/electricsheep/electricsheep-preferences.glade
	# ... and for kscreensaver
#	mkdir -p $(CURDIR)/debian/electricsheep/usr/share/applnk/System/ScreenSavers
#	cp $(CURDIR)/debian/default-files/electricsheep.desktop $(CURDIR)/debian/electricsheep/usr/share/applnk/System/ScreenSavers
	# cleanup
	rm -rf $(CURDIR)/debian/electricsheep/usr/include

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
	dh_installman
	dh_gconf --priority=20
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
